# Package smesh

## Data Structures
class | Mesh_Algorithm
| Mother class to define algorithm, recommended to don't use directly. More...
class | Mesh_Segment
| Class to define a segment 1D algorithm for discretization. More...
class | Mesh_Segment_Python
| Class to define a segment 1D algorithm for discretization with python function. More...
class | Mesh_Triangle
| Class to define a triangle 2D algorithm. More...
class | Mesh_Quadrangle
| Class to define a quadrangle 2D algorithm. More...
class | Mesh_Tetrahedron
| Class to define a tetrahedron 3D algorithm. More...
class | Mesh_Hexahedron
| Class to define a hexahedron 3D algorithm. More...
class | Mesh_Netgen
| Class to define a NETGEN-based 2D or 3D algorithm that need no discrete boundary (i.e. More...
class | Mesh
| Class to define a mesh. More...
## Functions
def | GetName
def | SetName
## Variables
int | REGULAR = 1
int | PYTHON = 2
int | NETGEN = 3
int | GHS3D = 4
tuple | smesh = salome.lcc.FindOrLoadComponent("FactoryServer", "SMESH")
string | NO_NAME = "NoName"

## Function Documentation

def smesh.GetName | ( |  | obj | ) |

def smesh.SetName | ( |  | obj,
|  |  | name
| ) |

## Variable Documentation

int smesh.REGULAR = 1`[static]`

int smesh.PYTHON = 2`[static]`

int smesh.NETGEN = 3`[static]`

int smesh.GHS3D = 4`[static]`

tuple smesh.smesh = salome.lcc.FindOrLoadComponent("FactoryServer", "SMESH")`[static]`

string smesh.NO_NAME = "NoName"`[static]`